<chapter name="Diffraction"> 
 
<h2>Diffraction</h2> 
 
<h3>Introduction</h3> 
 
Diffraction is not well understood, and several alternative approaches 
have been proposed. Here we follow a fairly conventional Pomeron-based 
one, in the Ingelman-Schlein spirit <ref>Ing85</ref>, 
but integrated to make full use of the standard PYTHIA machinery 
for multiparton interactions, parton showers and hadronization 
<ref>Nav10,Cor10a</ref>. This is the approach pioneered in the PomPyt 
program by Ingelman and collaborators <ref>Ing97</ref>. 
 
<p/> 
For ease of use (and of modelling), the Pomeron-specific parts of the 
generation are subdivided into three sets of parameters that are rather 
independent of each other: 
<br/>(i) the total, elastic and diffractive cross sections are 
parametrized as functions of the CM energy, or can be set by the user 
to the desired values, see the 
<aloc href="TotalCrossSections">Total Cross Sections</aloc> page; 
<br/>(ii) once it has been decided to have a diffractive process, 
a Pomeron flux parametrization is used to pick the mass of the 
diffractive system(s) and the <ei>t</ei> of the exchanged Pomeron, 
see below; 
<br/>(iii) a diffractive system of a given mass is classified either 
as low-mass unresolved, which gives a simple low-<ei>pT</ei> string 
topology, or as high-mass resolved, for which the full machinery of 
multiparton interactions and parton showers are applied, making use of 
<aloc href="PDFSelection">Pomeron PDFs</aloc>. 
<br/>The parameters related to multiparton interactions, parton showers 
and hadronization are kept the same as for normal nondiffractive events, 
with only one exception. This may be questioned, especially for the 
multiparton interactions, but we do not believe that there are currently 
enough good diffractive data that would allow detailed separate tunes. 
  
<p/> 
The above subdivision may not represent the way "physics comes about". 
For instance, the total diffractive cross section can be viewed as a 
convolution of a Pomeron flux with a Pomeron-proton total cross section. 
Since neither of the two is known from first principles there will be 
a significant amount of ambiguity in the flux factor. The picture is 
further complicated by the fact that the possibility of simultaneous 
further multiparton interactions ("cut Pomerons") will screen the rate of 
diffractive systems. In the end, our set of parameters refers to the 
effective description that emerges out of these effects, rather than 
to the underlying "bare" parameters. 
  
<p/> 
In the event record the diffractive system in the case of an excited 
proton is denoted <code>p_diffr</code>, code 9902210, whereas 
a central diffractive system is denoted <code>rho_diffr</code>, 
code 9900110. Apart from representing the correct charge and baryon 
numbers, no deeper meaning should be attributed to the names. 
 
<h3>Pomeron flux</h3> 
 
As already mentioned above, the total diffractive cross section is fixed 
by a default energy-dependent parametrization or by the user, see the 
<aloc href="TotalCrossSections">Total Cross Sections</aloc> page. 
Therefore we do not attribute any significance to the absolute 
normalization of the Pomeron flux. The choice of Pomeron flux model 
still will decide on the mass spectrum of diffractive states and the 
<ei>t</ei> spectrum of the Pomeron exchange. 
 
<modepick name="Diffraction:PomFlux" default="1" min="1" max="5"> 
Parametrization of the Pomeron flux <ei>f_Pom/p( x_Pom, t)</ei>. 
<option value="1">Schuler and Sj&ouml;strand <ref>Sch94</ref>: based on a 
critical Pomeron, giving a mass spectrum roughly like <ei>dm^2/m^2</ei>; 
a mass-dependent exponential <ei>t</ei> slope that reduces the rate 
of low-mass states; partly compensated by a very-low-mass (resonance region) 
enhancement. Is currently the only one that contains a separate 
<ei>t</ei> spectrum for double diffraction (along with MBR) and 
separate parameters for pion beams.</option> 
<option value="2">Bruni and Ingelman <ref>Bru93</ref>: also a critical 
Pomeron giving close to <ei>dm^2/m^2</ei>,  with a <ei>t</ei> distribution 
the sum of two exponentials. The original model only covers single 
diffraction, but is here expanded by analogy to double and central 
diffraction.</option> 
<option value="3">a conventional Pomeron description, in the RapGap 
manual <ref>Jun95</ref> attributed to Berger et al. and Streng 
<ref>Ber87a</ref>, but there (and here) with values updated to a 
supercritical Pomeron with <ei>epsilon &gt; 0</ei> (see below), 
which gives a stronger peaking towards low-mass diffractive states, 
and with a mass-dependent (the <ei>alpha'</ei> below) exponential 
<ei>t</ei> slope. The original model only covers single diffraction, 
but is here expanded by analogy to double and central diffraction. 
</option> 
<option value="4">a conventional Pomeron description, attributed to 
Donnachie and Landshoff <ref>Don84</ref>, again with supercritical Pomeron, 
with the same two parameters as option 3 above, but this time with a 
power-law <ei>t</ei> distribution. The original model only covers single 
diffraction, but is here expanded by analogy to double and central 
diffraction.</option> 
<option value="5"> the MBR (Minimum Bias Rockefeller) simulation of 
(anti)proton-proton interactions <ref>Cie12</ref>. The event 
generation follows a renormalized-Regge-theory model, successfully tested 
using CDF data. The simulation includes single and double diffraction, 
as well as the central diffractive (double-Pomeron exchange) process (106). 
Only <ei>p p</ei>, <ei>pbar p</ei> and <ei>p pbar</ei> beam combinations 
are allowed for this option. Several parameters of this model are listed 
below. </option> 
</modepick> 
 
<p/> 
In options 3 and 4 above, the Pomeron Regge trajectory is 
parametrized as 
<eq> 
alpha(t) = 1 + epsilon + alpha' t 
</eq> 
The <ei>epsilon</ei> and <ei>alpha'</ei> parameters can be set 
separately: 
 
<parm name="Diffraction:PomFluxEpsilon" default="0.085" min="0.02" max="0.15"> 
The Pomeron trajectory intercept <ei>epsilon</ei> above. For technical 
reasons <ei>epsilon &gt; 0</ei> is necessary in the current implementation. 
 
<parm name="Diffraction:PomFluxAlphaPrime" default="0.25" min="0.1" max="0.4"> 
The Pomeron trajectory slope <ei>alpha'</ei> above. 
 
<p/> 
When option 5 is selected, the following parameters of the MBR model 
<ref>Cie12</ref> are used: 
 
<parm name="Diffraction:MBRepsilon" default="0.104" min="0.02" max="0.15"> 
<parm name="Diffraction:MBRalpha" default="0.25" min="0.1" max="0.4"> 
the parameters of the Pomeron trajectory. 
</parm> 
 
<parm name="Diffraction:MBRbeta0" default="6.566" min="0.0" max="10.0"> 
<parm name="Diffraction:MBRsigma0" default="2.82" min="0.0" max="5.0"> 
the Pomeron-proton coupling, and the total Pomeron-proton cross section. 
</parm> 
 
<parm name="Diffraction:MBRm2Min" default="1.5" min="0.0" max="3.0"> 
the lowest value of the mass squared of the dissociated system. 
</parm> 

<parm name="Diffraction:MBRdyminSDflux" default="2.3" min="0.0" max="5.0"> 
<parm name="Diffraction:MBRdyminDDflux" default="2.3" min="0.0" max="5.0"> 
<parm name="Diffraction:MBRdyminCDflux" default="2.3" min="0.0" max="5.0"> 
the minimum width of the rapidity gap used in the calculation of 
<ei>Ngap(s)</ei> (flux renormalization). 
</parm> 
 
<parm name="Diffraction:MBRdyminSD" default="2.0" min="0.0" max="5.0"> 
<parm name="Diffraction:MBRdyminDD" default="2.0" min="0.0" max="5.0"> 
<parm name="Diffraction:MBRdyminCD" default="2.0" min="0.0" max="5.0"> 
the minimum width of the rapidity gap used in the calculation of cross 
sections, i.e. the parameter <ei>dy_S</ei>, which suppresses the cross 
section at low <ei>dy</ei> (non-diffractive region). 
</parm> 
 
<parm name="Diffraction:MBRdyminSigSD" default="0.5" min="0.001" max="5.0"> 
<parm name="Diffraction:MBRdyminSigDD" default="0.5" min="0.001" max="5.0"> 
<parm name="Diffraction:MBRdyminSigCD" default="0.5" min="0.001" max="5.0"> 
the parameter <ei>sigma_S</ei>, used for the cross section suppression at 
low <ei>dy</ei> (non-diffractive region). 
</parm> 
 
<h3>Separation into low and high masses</h3> 
 
Preferably one would want to have a perturbative picture of the 
dynamics of Pomeron-proton collisions, like multiparton interactions 
provide for proton-proton ones. However, while PYTHIA by default 
will only allow collisions with a CM energy above 10 GeV, the 
mass spectrum of diffractive systems will stretch to down to 
the order of 1.2 GeV. It would not be feasible to attempt a 
perturbative description there. Therefore we do offer a simpler 
low-mass description, with only longitudinally stretched strings, 
with a gradual switch-over to the perturbative picture for higher 
masses. The probability for the latter picture is parametrized as 
<eq> 
P_pert = P_max ( 1 - exp( (m_diffr - m_min) / m_width ) ) 
</eq> 
which vanishes for the diffractive system mass 
<ei>m_diffr &lt; m_min</ei>, and is <ei>1 - 1/e = 0.632</ei> for 
<ei>m_diffr = m_min + m_width</ei>, assuming <ei>P_max = 1</ei>. 
 
<parm name="Diffraction:mMinPert" default="10." min="5."> 
The abovementioned threshold mass <ei>m_min</ei> for phasing in a 
perturbative treatment. If you put this parameter to be bigger than 
the CM energy then there will be no perturbative description at all, 
but only the older low-<ei>pt</ei> description. 
</parm> 
 
<parm name="Diffraction:mWidthPert" default="10." min="0."> 
The abovementioned threshold width <ei>m_width.</ei> 
</parm> 
 
<parm name="Diffraction:probMaxPert" default="1." min="0." max="1." > 
The abovementioned maximum probability <ei>P_max.</ei>. Would 
normally be assumed to be unity, but a somewhat lower value could 
be used to represent a small nonperturbative component also at 
high diffractive masses. 
</parm> 
 
<h3>Low-mass diffraction</h3> 
 
When an incoming hadron beam is diffractively excited, it is modeled 
as if either a valence quark or a gluon is kicked out from the hadron. 
In the former case this produces a simple string to the leftover 
remnant, in the latter it gives a hairpin arrangement where a string 
is stretched from one quark in the remnant, via the gluon, back to the 
rest of the remnant. The latter ought to dominate at higher mass of 
the diffractive system. Therefore an approximate behaviour like 
<eq> 
P_q / P_g = N / m^p 
</eq> 
is assumed. 
 
<parm name="Diffraction:pickQuarkNorm" default="5.0" min="0."> 
The abovementioned normalization <ei>N</ei> for the relative quark 
rate in diffractive systems. 
</parm> 
 
<parm name="Diffraction:pickQuarkPower" default="1.0"> 
The abovementioned mass-dependence power <ei>p</ei> for the relative 
quark rate in diffractive systems. 
</parm> 
 
<p/> 
When a gluon is kicked out from the hadron, the longitudinal momentum 
sharing between the the two remnant partons is determined by the 
same parameters as above. It is plausible that the primordial 
<ei>kT</ei> may be lower than in perturbative processes, however: 
 
<parm name="Diffraction:primKTwidth" default="0.5" min="0."> 
The width of Gaussian distributions in <ei>p_x</ei> and <ei>p_y</ei> 
separately that is assigned as a primordial <ei>kT</ei> to the two 
beam remnants when a gluon is kicked out of a diffractive system. 
</parm> 
 
<parm name="Diffraction:largeMassSuppress" default="2." min="0."> 
The choice of longitudinal and transverse structure of a diffractive 
beam remnant for a kicked-out gluon implies a remnant mass 
<ei>m_rem</ei> distribution (i.e. quark plus diquark invariant mass 
for a baryon beam) that knows no bounds. A suppression like 
<ei>(1 - m_rem^2 / m_diff^2)^p</ei> is therefore introduced, where 
<ei>p</ei> is the <code>diffLargeMassSuppress</code> parameter. 
</parm> 
 
<h3>High-mass diffraction</h3> 
 
The perturbative description need to use parton densities of the 
Pomeron. The options are described in the page on 
<aloc href="PDFSelection">PDF Selection</aloc>. The standard 
perturbative multiparton interactions framework then provides 
cross sections for parton-parton interactions. In order to 
turn these cross section into probabilities one also needs an 
ansatz for the Pomeron-proton total cross section. In the literature 
one often finds low numbers for this, of the order of 2 mb. 
These, if taken at face value, would give way too much activity 
per event. There are ways to tame this, e.g. by a larger <ei>pT0</ei> 
than in the normal pp framework. Actually, there are many reasons 
to use a completely different set of parameters for MPI in 
diffraction than in pp collisions, especially with respect to the 
impact-parameter picture, see below. A lower number in some frameworks 
could alternatively be regarded as a consequence of screening, with 
a larger "bare" number. 
 
<p/> 
For now, however, an attempt at the most general solution would 
carry too far, and instead we patch up the problem by using a 
larger Pomeron-proton total cross section, such that average 
activity makes more sense. This should be viewed as the main 
tunable parameter in the description of high-mass diffraction. 
It is to be fitted to diffractive event-shape data such as the average 
charged multiplicity. It would be very closely tied to the choice of 
Pomeron PDF; we remind that some of these add up to less than unit 
momentum sum in the Pomeron, a choice that also affect the value 
one ends up with. Furthermore, like with hadronic cross sections, 
it is quite plausible that the Pomeron-proton cross section increases 
with energy, so we have allowed for a power-like dependence on the 
diffractive mass. 
 
<parm name="Diffraction:sigmaRefPomP" default="10." min="2." max="40."> 
The assumed Pomeron-proton effective cross section, as used for 
multiparton interactions in diffractive systems. If this cross section 
is made to depend on the mass of the diffractive system then the above 
value refers to the cross section at the reference scale, and 
<eq> 
sigma_PomP(m) = sigma_PomP(m_ref) * (m / m_ref)^p 
</eq> 
where <ei>m</ei> is the mass of the diffractive system, <ei>m_ref</ei> 
is the reference mass scale <code>Diffraction:mRefPomP</code> below and 
<ei>p</ei> is the mass-dependence power <code>Diffraction:mPowPomP</code>. 
Note that a larger cross section value gives less MPI activity per event. 
There is no point in making the cross section too big, however, since 
then <ei>pT0</ei> will be adjusted downwards to ensure that the 
integrated perturbative cross section stays above this assumed total 
cross section. (The requirement of at least one perturbative interaction 
per event.) 
</parm> 
 
<parm name="Diffraction:mRefPomP" default="100.0" min="1."> 
The <ei>mRef</ei> reference mass scale introduced above. 
</parm> 
 
<parm name="Diffraction:mPowPomP" default="0.0" min="0.0" max="0.5"> 
The <ei>p</ei> mass rescaling pace introduced above. 
</parm> 
 
<p/> 
Also note that, even for a fixed CM energy of events, the diffractive 
subsystem will range from the abovementioned threshold mass 
<ei>m_min</ei> to the full CM energy, with a variation of parameters 
such as <ei>pT0</ei> along this mass range. Therefore multiparton 
interactions are initialized for a few different diffractive masses, 
currently five, and all relevant parameters are interpolated between 
them to obtain the behaviour at a specific diffractive mass. 
Furthermore, <ei>A B &rarr; X B</ei> and <ei>A B &rarr; A X</ei> are 
initialized separately, to allow for different beams or PDF's on the 
two sides. These two aspects mean that initialization of MPI is 
appreciably slower when perturbative high-mass diffraction is allowed. 
 
<p/> 
Diffraction tends to be peripheral, i.e. occur at intermediate impact 
parameter for the two protons. That aspect is implicit in the selection 
of diffractive cross section. For the simulation of the Pomeron-proton 
subcollision it is the impact-parameter distribution of that particular 
subsystem that should rather be modeled. That is, it also involves 
the transverse coordinate space of a Pomeron wavefunction. The outcome 
of the convolution therefore could be a different shape than for 
nondiffractive events. For simplicity we allow the same kind of 
options as for nondiffractive events, except that the 
<code>bProfile = 4</code> option for now is not implemented. 
 
<modepick name="Diffraction:bProfile" default="1" 
min="0" max="3"> 
Choice of impact parameter profile for the incoming hadron beams. 
<option value="0">no impact parameter dependence at all.</option> 
<option value="1">a simple Gaussian matter distribution; 
no free parameters.</option> 
<option value="2">a double Gaussian matter distribution, 
with the two free parameters <ei>coreRadius</ei> and 
<ei>coreFraction</ei>.</option> 
<option value="3">an overlap function, i.e. the convolution of 
the matter distributions of the two incoming hadrons, of the form 
<ei>exp(- b^expPow)</ei>, where <ei>expPow</ei> is a free 
parameter.</option> 
</modepick> 
 
<parm name="Diffraction:coreRadius" default="0.4" min="0.1" max="1."> 
When assuming a double Gaussian matter profile, <ei>bProfile = 2</ei>, 
the inner core is assumed to have a radius that is a factor 
<ei>coreRadius</ei> smaller than the rest. 
</parm> 
 
<parm name="Diffraction:coreFraction" default="0.5" min="0." max="1."> 
When assuming a double Gaussian matter profile, <ei>bProfile = 2</ei>, 
the inner core is assumed to have a fraction <ei>coreFraction</ei> 
of the matter content of the hadron. 
</parm> 
 
<parm name="Diffraction:expPow" default="1." min="0.4" max="10."> 
When <ei>bProfile = 3</ei> it gives the power of the assumed overlap 
shape <ei>exp(- b^expPow)</ei>. Default corresponds to a simple 
exponential drop, which is not too dissimilar from the overlap 
obtained with the standard double Gaussian parameters. For 
<ei>expPow = 2</ei> we reduce to the simple Gaussian, <ei>bProfile = 1</ei>, 
and for <ei>expPow &rarr; infinity</ei> to no impact parameter dependence 
at all, <ei>bProfile = 0</ei>. For small <ei>expPow</ei> the program 
becomes slow and unstable, so the min limit must be respected. 
</parm> 
 
</chapter> 
 
<!-- Copyright (C) 2014 Torbjorn Sjostrand --> 
